آفلاین
user-avatar

واسه نصب و استفاده از پکیج های npm راهنمایی میخوام

3 سال پیش
توسط مهدی طهرانی آپدیت شد
آفلاین
user-avatar
حسین ( 336 تجربه )
3 سال پیش

سلام

من پکیج persian-datepicker رو با npm نصب کردم
حالا وقتی داخل فایل بوت استرپ require میکنمش بعد از اینکه run dev میکنم چنین اروری دارم :

This dependency was not found:

* persian-datepicker in ./resources/assets/js/bootstrap.js

چطور باید پکیج رو داخل پروژه استفاده کنم ؟
برای استفاده از css هاش باید چیکار کنم ؟
ممنون بابت راهنماییتون

آفلاین
user-avatar
developer ( 33462 تجربه )
3 سال پیش
تخصص : برنامه نویس

لازم نیست require کنی، اول با npm نصب کن

npm install persian-datepicker

بعد توی بلید استفاده کن اینطوری:

<head>
  <link rel="stylesheet" href="css/persian.datepicker.css"/>
  <script src="js/jquery.js"></script>
  <script src="js/persian.date.js"></script>
  <script src="js/persian.datepicker.js"></script>
</head>

<script type="text/javascript">
  $(document).ready(function() {
    $(".example1").pDatepicker();
  });
</script>

<input type="text" class="example1" />
آفلاین
user-avatar
حسین ( 336 تجربه )
3 سال پیش

مطمئن هستین که اینطوری کار میکنه؟
من این کار رو انجام دادم ولی فایل ها رو پیدا نمیکنه .. آخه فایلها داخل پوشه node-module هستن

آفلاین
user-avatar
developer ( 33462 تجربه )
3 سال پیش
تخصص : برنامه نویس

فایل ها رو از اینجا بردار

https://github.com/babakhani/pwt.datepicker
آفلاین
user-avatar
حسین ( 336 تجربه )
3 سال پیش

خب من میخوام که با امکانات لاراول فرانت اند سایتم رو بسازم .. الان دارم از همین روشی که شما میگید استفاده میکنم .ولی میخوام بوسیله پکیج منیجر این کار رو انجام بدم.

آفلاین
user-avatar
مهدی طهرانی ( 18476 تجربه )
3 سال پیش
تخصص : cloud architect

منم همین مشکل رو دارم لطفا راهنمایی بفرمایید

برای ارسال پاسخ باید وارد سایت شوید